Page MenuHomePhabricator

Undeploy CodeReview
Open, Stalled, LowPublic

Description

We're not using this extension for anything but code review archives anymore, however it has received 18 maintenance commits in 2015 so far which means that it's not free to keep it up forever. Therefore, I propose to make a static dump of it and undeploy.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 4 2015, 10:28 AM
Luke081515 triaged this task as Low priority.Dec 9 2015, 8:47 AM
Restricted Application added subscribers: JEumerus, Luke081515. · View Herald TranscriptJan 14 2016, 5:16 PM

Change 298509 had a related patch set uploaded (by Awight):
Delist Special:CodeReview

https://gerrit.wikimedia.org/r/298509

awight added a subscriber: awight.Jul 12 2016, 4:04 PM

+1
At the very least, let's delist it from SpecialPages... (patch)

Change 298544 had a related patch set uploaded (by Awight):
Delist Special:CodeReview

https://gerrit.wikimedia.org/r/298544

One downside to my approach is that, with less traffic, the extension will deteriorate even faster and we'll risk losing the ability to easily produce the archived, static dump.

demon added a comment.Jul 12 2016, 7:05 PM

Deteriorate even faster? Nobody's been making fixes for our version of it in forever...

Change 298509 merged by jenkins-bot:
Provide a configuration option to delist Special:CodeReview

https://gerrit.wikimedia.org/r/298509

demon added a comment.Jul 19 2016, 8:04 PM

We should probably set up some general-purpose redirects so catch all the old incoming traffic (of which there's a ton of links that will break).

Change 298544 merged by jenkins-bot:
Delist Special:CodeReview

https://gerrit.wikimedia.org/r/298544

Change 409290 had a related patch set uploaded (by Chad; owner: Chad):
[operations/puppet@production] Rewrite old Special:Code urls to Phabricator SVN clones

https://gerrit.wikimedia.org/r/409290

Change 409290 abandoned by Chad:
Rewrite old Special:Code urls to Phabricator SVN clones

Reason:
Too soon for redirects.

https://gerrit.wikimedia.org/r/409290

BFeely added a subscriber: BFeely.May 19 2018, 1:25 PM

Hi. Unfortunately, this was an extension that I have used on my server. I came to reinstall it after a recent Ubuntu update caused my post-commit hooks to freeze up (and break Apache in the process), and saw the header on the extension page.
Is there any fork in development for this extension?

demon added a comment.EditedMay 19 2018, 1:29 PM

@BFeely file a task about that under the CodeReview project. It's just unused at Wikimedia, not deprecated or archived. In fact, I think @ashley uses it still?

demon added a subscriber: ashley.May 19 2018, 1:29 PM

At this point, I am re-deploying it on my newer MediaWiki instance, starting from scratch. I will see if the freezeups go away. I won't be able to test fully of course until I push my next commit.

BFeely added a comment.EditedMay 19 2018, 2:40 PM

As a heads-up, I have determined the freeze is not due to the extension but the svn command itself freezing up.

I just posted a test commit on my new CodeReview instance and it completed without issue, though I did have quite a few freezes of the SVN command during the initial import.

@BFeely: Hi and welcome! This task is about removing that extension from being available on WMF websites (but not about removing its code repository). Please file a separate task at https://phabricator.wikimedia.org/maniphest/task/edit/form/1/?projects=mediawiki-extensions-codereview about any problems with running that extension on your server - thanks a lot!

Krinkle renamed this task from Undeploy CodeReview to CodeReview extension: Code stewardship review.Jun 18 2018, 12:17 AM
Krinkle raised the priority of this task from Low to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Krinkle updated the task description. (Show Details)Jun 18 2018, 12:20 AM

@Krinkle please file a new task for the Code-Stewardship-Reviews instead of hijacking this one.

Legoktm renamed this task from CodeReview extension: Code stewardship review to Undeploy CodeReview.Jun 19 2018, 9:01 PM
Legoktm removed a project: Code-Stewardship-Reviews.
Legoktm updated the task description. (Show Details)
demon removed a subscriber: demon.Mar 16 2019, 3:28 PM
awight removed a subscriber: awight.Mar 21 2019, 3:59 PM
Jdforrester-WMF changed the task status from Open to Stalled.Apr 8 2019, 4:30 PM
Jdforrester-WMF claimed this task.

Per RelEng team discussions. Stalled until T205361 is done.

Jdforrester-WMF triaged this task as Low priority.Dec 17 2019, 11:24 AM

I believe T222918: Put "shim" code for namespaces, logs, and log i18n into WikimediaMessages so we can undeploy extensions is not a blocker for this because CodeReview did not add any logs nor namespaces to mediawiki.org. The only thing it added were some API modules and the special page. The API modules will obviously break, and we're going to preserve the special page links via Apache rewrites.

I believe T222918: Put "shim" code for namespaces, logs, and log i18n into WikimediaMessages so we can undeploy extensions is not a blocker for this because […] we're going to preserve the special page links via Apache rewrites.

Ah, right, cool. :-)

Change 593350 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop CodeReview, Part I: Stop loading it anywhere

https://gerrit.wikimedia.org/r/593350

Change 593351 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop CodeReview, Part II: Stop configuring it anywhere

https://gerrit.wikimedia.org/r/593351

Change 593352 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop CodeReview, Part III: Drop from i18n build step

https://gerrit.wikimedia.org/r/593352

Change 593353 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/tools/release@master] Stop branching the CodeReview extension for Wikimedia production

https://gerrit.wikimedia.org/r/593353

jcrespo added a subscriber: jcrespo.May 5 2020, 3:30 PM

T243055 is done, but I am guessing dropping the table data is blocked on T205361?

T243055 is done, but I am guessing dropping the table data is blocked on T205361?

Dropping the table is blocked on this task (as otherwise it'll cause a fatal when anyone tries to load https://www.mediawiki.org/wiki/Special:Code/MediaWiki/1 etc.); this task is blocked on that and the Apache redirects so that the pages keep working, if we're going to do that.

Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Jul 8 2020, 6:35 PM